import request from '@/utils/request'

// 查询深度隔离模型列表
export function listDeepIsolationModel(query) {
  return request({
    url: '/manage/deepIsolationModel/list',
    method: 'get',
    params: query
  })
}

// 查询深度隔离模型详细
export function getDeepIsolationModel(id) {
  return request({
    url: '/manage/deepIsolationModel/' + id,
    method: 'get'
  })
}

// 新增深度隔离模型
export function addDeepIsolationModel(data) {
  return request({
    url: '/manage/deepIsolationModel',
    method: 'post',
    data: data
  })
}

// 修改深度隔离模型
export function updateDeepIsolationModel(data) {
  return request({
    url: '/manage/deepIsolationModel',
    method: 'put',
    data: data
  })
}

// 删除深度隔离模型
export function delDeepIsolationModel(id) {
  return request({
    url: '/manage/deepIsolationModel/' + id,
    method: 'delete'
  })
}
